MuldeR's Utilities for Qt MUtilities

Public Types | Public Slots | Signals | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
MUtils::UpdateChecker Class Reference
Inheritance diagram for MUtils::UpdateChecker:

## Public Types
enum | { UpdateStatus_NotStartedYet = 0, UpdateStatus_CheckingConnection = 1, UpdateStatus_FetchingUpdates = 2, UpdateStatus_CompletedUpdateAvailable = 3, UpdateStatus_CompletedNoUpdates = 4, UpdateStatus_CompletedNewVersionOlder = 5, UpdateStatus_ErrorNoConnection = 6, UpdateStatus_ErrorConnectionTestFailed = 7, UpdateStatus_ErrorFetchUpdateInfo = 8, UpdateStatus_CancelledByUser = 9 }

## Public Slots
void | start (Priority=InheritPriority)

## Signals
void | statusChanged (const int status)
void | progressChanged (const int progress)
void | messageLogged (const QString &text)

## Public Member Functions
| UpdateChecker (const QString &binCurl, const QString &binVerify, const QString &applicationId, const quint32 &installedBuildNo, const bool betaUpdates, const bool testMode=false)
const int | getUpdateStatus (void) const
const bool | getSuccess (void) const
const int | getMaximumProgress (void) const
const int | getCurrentProgress (void) const
const UpdateCheckerInfo * | getUpdateInfo (void) const
bool | cancel (void)

## Public Attributes
enum MUtils::UpdateChecker:: { ... } | update_status_t

## Protected Member Functions
void | run (void)
void | checkForUpdates (void)
void | testMirrorsList (void)

The documentation for this class was generated from the following file:

- include/MUtils/UpdateChecker.h